routes/web.php
<?php

// Role permission ada di app/Http/helper.php
// file composer.json "files"
// middleware CheckPermission
// menambah role di helper.php
// make:model <directory>/modelname
Auth::routes();//default auth
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout'); // kalau mau logout pakai route ini

Route::get('/', function () {
    return redirect()->route('login');
});


Route::group(['middleware' => ['auth', 'disablepreventback']], function(){
/*
  !!! semua wajib masuk sini supaya kalau mau akses harus login dulu !!!
  kalau page yang tidak butuh login di taruh di atas !!!
  kalau mau akses page untuk user tertentu pakai middleware checkPermission: namarole
*/
        // User Controllers
        Route::resource('user', 'UserController');
        //routing khusus wilayah
        Route::get('wilayah/kota','GmfControlller@getKota')->name('kota');
        Route::get('wilayah/kecamatan','GmfControlller@getKecamatan');
        Route::get('wilayah/kelurahan', 'GmfControlller@getKelurahan');

        Route::get('/home', 'HomeController@index')->name('home'); //sukses login arahnya ke sini
        Route::post('password/reset', 'ProfileController@resetpassword');
        Route::get('password/form', 'ProfileController@formreset');
        Route::post('profile/avatar', 'ProfileController@avatar')->name('avatar');
        Route::post('profile/{id}', 'ProfileController@biodata');
        //Mitra
        Route::resource('mitra', 'MitraController');

        //GMF
        Route::resource('gmf', 'GmfControlller');
        Route::get('gmf/kota', 'GmfControlller@getKota');
        Route::get('gmf/data', 'GmfControlller@getGmf');


        //siswa
        Route::resource('siswa', 'SiswaController');
        //dewasa
        Route::get('siswa_dewasa','SiswaController@index_dewasa');
        Route::post('/siswa_dewasa','SiswaController@store_dewasa');
        // Route::get('/siswa_dewasa/create','SiswaController@create_dewasa');
        Route::get('/siswa_dewasa/{siswa_dewasa}','SiswaController@show_dewasa');
        Route::delete('/siswa_dewasa/{siswa_dewasa}','SiswaController@destroy_dewasa');
        Route::put('/siswa_dewasa/{siswa_dewasa}','SiswaController@update_dewasa');
        Route::get('/siswa_dewasa/{siswa_dewasa}/edit','SiswaController@edit_dewasa');

        //siswa-end

        Route::group(['middleware' => 'check-permission:admin'], function()
        {
            Route::resource('admin', 'AdminController');
        });
        Route::resource('profile', 'ProfileController');

Route::get('admin',['middleware'=>'check-permission:gmf','uses'=>'HomeController@index']);
//Route::resource('mitra', 'MitraController')->middleware('check-permission:cabang'); // contoh penggunaan middleware
});

app/Models/Gmf.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Gmf extends Model
{
    protected $table = 'tb_gmf';
    protected $primaryKey = 'nik';
    public $timestamps = false;
}

resources/views/gmf/gmf-dashboard.blade.php
@extends('layouts.app')
@section('css')
<style>
.modal-dialog {
  max-width: 600px;
  margin: 60px auto;
}
</style>
@endsection
@section('content')
  <!--Modal: Alert-->
  <div class="modal fade" id="modalPush" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true" data-animation-in="animated fadeIn" data-animation-out="animated fadeOut">
      <div class="modal-dialog modal-notify modal-info" role="document">
          <!--Content-->
          <div class="modal-content text-center">
              <!--Header-->
              <div class="modal-header d-flex justify-content-center">
                  <h5>Isi Biodata</h5>
              </div>
              <!--Body-->
              <div class="modal-body">

              </div>

              <!--Footer-->
              <div class="modal-footer flex-center">
                  <a href="https://mdbootstrap.com/products/jquery-ui-kit/" class="btn btn-info">Yes</a>
                  <a type="button" class="btn btn-outline-info waves-effect" data-dismiss="modal">No</a>
              </div>
          </div>
          <!--/.Content-->
      </div>
  </div>
  <!--Modal: modalPush-->
<div class="row">
    <div class="col-md-12">
      @if (session('delete'))
          <div class="alert alert-success alert-dismissable custom-success-box" style="margin: 15px;">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
       <strong> {{ session('delete') }} </strong>
          </div>
      @endif
      @if (session('update'))
          <div class="alert alert-success alert-dismissable custom-success-box" style="margin: 15px;">
            <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
       <strong> {{ session('update') }} </strong>
          </div>
      @endif
        <div class="card">
            <div class="card-header">
                <h5>Daftar GMF</h5>
                <button class="btn btn-primary btn-round waves-effect waves-light" style="position:absolute;right:10px;top:15px" onclick="location.href='{{ route('gmf.create') }}'">Tambah</button>

            </div>
            <div class="card-block">


              <div class="table-responsive">
                <table class="table table-hover">
                  <thead>
                    <tr>
                      <th>No</th>
                      <th>Nomor GMF</th>
                      <th>Nama</th>
                      <th>Alamat</th>
                      <th>Nomor Tlp</th>
                      <th>Option</th>
                    </tr>
                  </thead>
                  <tbody>
                    @php $no = 1; @endphp
                    @forelse ($gmf as $data)
                      <tr>
                        <td>{{ $no++ }}</td>
                        <td>{{ $data->nomor_gmf }}</td>
                        <td>{{ $data->nama }}</td>
                        <td>{{ $data->alamat }}</td>
                        <td>{{ $data->nomer_tlp }}</td>
                        <td>
                          <button class="btn waves-effect waves-light btn-warning edit" onclick="location.href='{{ route('gmf.edit',$data->nik) }}'">Edit</button>
                          <form class="" action="{{ route('gmf.destroy',$data->nik) }}" method="post" style="Display:inline-block">
                            @csrf
                            @method('DELETE')
                            <button class="btn waves-effect waves-light btn-danger" type="submit">Delete</button>
                          </form>
                          <button class="btn waves-effect waves-light btn-success" onclick="location.href='{{ route('gmf.show',$data->nik) }}'">Lihat</button>
                        </td>
                      </tr>
                    @empty
                      <p>Data Masih Kosong</p>
                    @endforelse
                  </tbody>
                </table>
              </div>

            </div>
        </div>
    </div>
    <div class="col-md-2">
      <div class="card">

      </div>
    </div>
</div>
@endsection
@section('javascript')

@endsection

resources/views/gmf/gmf-edit.blade.php
@extends('layouts.app')
@section('content')
<div class="row">
<div class="col-md-10">
<div class="card">
  <div class="card-header">
    <h5>Edit Data Mitra GMF</h5>
  </div>
  <div class="card-block">
    <form class="" action="{{ route('gmf.update',$id) }}" method="post">
      @csrf
      @method('PUT')
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Nama Terang</label>
          <div class="col-sm-5">
              <input type="text" name="nama" class="form-control" value="{{ $gmf->nama }}">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">NIK</label>
          <div class="col-sm-5">
              <input type="text" name="nik" class="form-control" value="{{ $gmf->nik }}">
          </div>
      </div>
      <div class="form-group row">
        <label class="col-sm-4 col-from-label">Upload Foto</label>
        <div class="col-sm-5">
            <input type="file" class="form-control-file" name="photo" id="avatarFile" aria-describedby="fileHelp">
            <small id="fileHelp" class="form-text text-muted">resolisi di atas 400 x 400. ukuran max 2MB.</small>
        </div>
      </div>
      <div class="form-group row">
        <label class="col-sm-3 col-form-label">Jenis Kelamin</label>
        <div class="col-sm-5">
          <select class="custom-select" name="jenis_kelamin">
            <option value="laki-laki">laki - laki</option>
            <option value="perempuan">perempuan</option>
          </select>
        </div>
      </div>
      <div class="form-group row">
        <label class="col-sm-3 col-form-label">Alamat</label>
        <div class="col-sm-5">
          <input type="text" name="alamat" class="form-control" value="{{ $gmf->alamat }}">
        </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Tempat Lahir</label>
          <div class="col-sm-6">
            <div class="col-sm-6">
              <select id="provinsi" class="custom-select" name="provinsi">
                <options selected>pilih ..</option>
                @foreach ($wilayah as $kota)
                  <option value="{{ $kota->IDProvinsi }}">{{ $kota->Nama }}</option>
                @endforeach
              </select>
            </div>
            <div class="col-sm-6">
              <select id="kota" class="custom-select" name="kota"></select>

            </div>
            <div class="col-sm-6">
              <select id="kecamatan" class="custom-select" name="kecamatan"></select>
            </div>
            <div class="col-sm-6">
              <select id="kelurahan" class="custom-select" name="kelurahan"></select>
            </div>

          </div>
          </div>
          <div class="form-group row">
            <label class="col-sm-3 col-form-label">tanggal Lahir</label>
            <div class="col-sm-5">
              <input type="date" name="tanggal" class="form-control">
            </div>
          </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Status Perkawinan</label>
          <div class="col-sm-5">
              <select class="custom-select" name="status_kawin">
                <option value="sudah">sudah</option>
                <option value="belum">belum</option>
              </select>
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Status Warga Negara</label>
          <div class="col-sm-5">
              <input type="text" name="status_warga" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Agama</label>
          <div class="col-sm-5">
              <select class="custom-select" name="agama">
                <option value="islam">islam</option>
                <option value="kristen">kristen</option>
                <option value="khatolik">khatolik</option>
                <option value="protestan">protenstan</option>
                <option value="hindu">hindu</option>
                <option value="budha">budha</option>
                <option value="konghucu">konghucu</option>
              </select>
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Suku</label>
          <div class="col-sm-5">
              <input type="text" name="suku" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Jumlah Anak Laki -Laki</label>
          <div class="col-sm-5">
              <input type="text" name="jumlah_l" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Jumlah Anak Perempuan</label>
          <div class="col-sm-5">
              <input type="text" name="jumlah_p" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Nomer Telp</label>
          <div class="col-sm-5">
              <input type="text" name="nomor" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Email</label>
          <div class="col-sm-5">
              <input type="email" name="email" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Pendidikan</label>
          <div class="col-sm-5">
            <select id="pendidikan" class="custom-select" name="pendidikan">
                  <option value="sarjana">Sarjana</option>
                  <option value="tidak tamat sd">Tidak tamat sd</option>
                  <option value="sd">sd</option>
                  <option value="smp">smp</option>
                  <option value="sma">sma</option>
                  <option value="lain">lain-lain</option>
                </select>
                <input id="other" type="text" name="other" class="form-control" hidden>
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Pekerjaan</label>
          <div class="col-sm-5">
              <input type="text" name="pekerjaan" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">NIP</label>
          <div class="col-sm-5">
              <input type="text" name="nip" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">NPWP</label>
          <div class="col-sm-5">
              <input type="text" name="npwp" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Status Kepegawaian</label>
          <div class="col-sm-5">
              <input type="text" name="status_pegawai" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Lembaga/Instansi</label>
          <div class="col-sm-5">
              <input type="text" name="lembaga" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">No.Telp Lembaga</label>
          <div class="col-sm-5">
              <input type="text" name="telp_lembaga" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Alamat Lembaga</label>
          <div class="col-sm-5">
              <input type="text" name="alamat_lembaga" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Jabatan</label>
          <div class="col-sm-5">
              <input type="text" name="jabatan" class="form-control" value="">
          </div>
      </div>
      <div class="form-group row">
          <label class="col-sm-3 col-form-label">Deskripsi</label>
          <div class="col-sm-5">
              <textarea class="form-control" name="deskripsi"></textarea>
          </div>
      </div>
      <button type="submit" class="btn btn-primary btn-round waves-effect waves-light">Update</button>
    </form>
  </div>

</div>
</div>
</div>
@endsection
@section('javascript')
  <script>
  $(document).ready(function() {
  //$('.datepicker').datepicker();

    $('#pendidikan').change(function() {
      if ($(this).val() == 'lain') {
        $('#other').removeAttr('hidden');
      }else {
        $('#other').attr('hidden',true);
      }

    });

    $('#provinsi').change(function(){
      var idprovinsi = $(this).val();
      //console.log(idprovinsi);
      if (idprovinsi) {
        $.ajax({
          type:"GET",
          url:"{{ url('wilayah/kota') }}?idprovinsi="+idprovinsi,
          success: function(data){
            //console.log(data);
            $('#kota').empty();
            $("#kota").append('<option>Select</option>');
            $.each(data,function(value,key){
               $("#kota").append('<option value="'+ key +'">'+ value +'</option>');
            });
          }
        });
      }else {
        $("#kota").empty();
      }
    })
    $('#kota').change(function() {
      var idkota = $(this).val();
      //console.log(idkota);
      if (idkota) {
        $.ajax({
          type:"GET",
          url:"{{ url('wilayah/kecamatan') }}?idkota="+idkota,
          success:function(data){
            $('#kecamatan').empty();
            $('#kecamatan').append('<option></option>');
            $.each(data,function(value,key){
              $('#kecamatan').append('<option value="'+key+'">'+value+'</option>');
            });
          }
        });
      }else {
        $('#kecamatan').empty();
      }
    });
    $('#kecamatan').change(function(event) {
      var idkecamtan = $(this).val();
      if (idkecamtan) {
        $.ajax({
          type:"GET",
          url:"{{ url('wilayah/kelurahan') }}?idkecamatan="+idkecamtan,
          success:function(data){
            $('#kelurahan').empty();
            $('#kelurahan').append('<option></option>');
            $.each(data,function(value,key){
              $('#kelurahan').append('<option value="'+key+'">'+value+'</option>');
            });
          }
        });
      }else {

      }
    });
  });
  </script>
@endsection

resources/views/gmf/gmf-profile.blade.php
@extends('layouts.app')
@section('content')
  <div class="row">
    <div class="col-md-9">
      <div class="card">
        <div class="card-header">
          <h5>Data GMF</h5>
        </div>
        <div class="card-block">
          <div class="form-group row">
              <label class="col-sm-3 col-form-label">Nama Terang</label>
              <div class="col-sm-5">
                  <input type="text" name="nama" class="form-control" value="{{ $gmf->nama }}" disabled>
              </div>
          </div>
          <div class="form-group row">
              <label class="col-sm-3 col-form-label">NIK</label>
              <div class="col-sm-5">
                  <input type="text" name="nik" class="form-control" value="{{ $gmf->nik }}" disabled>
              </div>
          </div>
          <div class="form-group row">
            <label class="col-sm-3 col-form-label">Jenis Kelamin</label>
            <div class="col-sm-5">
              <input type="text" name="" class="form-control" value="{{ $gmf->jenis_kelamin }}" disabled>
            </div>
          </div>
          <div class="form-group row">
            <label class="col-sm-3 col-form-label">Tempat Tinggal</label>
            <div class="col-sm-5">
              <input type="text" name="" class="form-control" value="{{ $gmf->Nama }}" disabled>
            </div>
          </div>
          <div class="form-group row">
              <label class="col-sm-3 col-form-label">Status Perkawinan</label>
              <div class="col-sm-5">
                  <input type="text" name="" class="form-control" value="{{ $gmf->status_kawin }}" disabled>
              </div>
          </div>
          <div class="form-group row">
              <label class="col-sm-3 col-form-label">Status Warga Negara</label>
              <div class="col-sm-5">
                  <input type="text" name="status_warga" class="form-control" value="{{ $gmf->warga_negara }}" disabled>
              </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-3">
      <div class="card">
        <div class="col-md-12">
          <img src="{{ url('storage/gmfphotos/'.$gmf->photo) }}" alt="User-Profile-Image" class="img-150" style="width:100%">
          <div class="card-block">


          </div>
        </div>
      </div>
    </div>
  </div>
@endsection